Appweb 3.1.x / 3.2.x / 3.3.x < 3.3.3 mprUrlEncode 函式堆積溢位弱點

medium Nessus Plugin ID 61396

Synopsis

遠端 web 伺服器可能受到緩衝區溢位弱點影響。

描述

根據其標題,遠端主機上安裝的 Appweb 版本是 3.3.3 之前的 3.1.x、3.2.x 或 3.3.x。因此,它可能受到檔案「src/mpr/mprLib.c」的函式「mprUrlEncode」中轉譯錯誤造成的堆積式緩衝區溢位弱點影響。

請注意,Nessus 並未實際測試此問題,而是僅依據伺服器標題上的版本。

另請注意,據稱此問題只會影響 Microsoft Windows 作業系統上執行的 Appweb。

解決方案

升級至 Appweb 3.3.3 或更新版本。

另請參閱

http://freecode.com/projects/appweb/releases/345430

https://github.com/embedthis/appweb/issues/137

http://www.nessus.org/u?fc55376e

Plugin 詳細資訊

嚴重性: Medium

ID: 61396

檔案名稱: appweb_server_3_3_3.nasl

版本: 1.10

類型: remote

系列: Web Servers

已發布: 2012/8/2

已更新: 2018/11/15

風險資訊

CVSS v2

風險因素: Medium

基本分數: 6.8

時間分數: 5

媒介: AV:N/AC:M/Au:N/C:P/I:P/A:P

時間媒介: E:U/RL:OF/RC:C

弱點資訊

CPE: cpe:/a:mbedthis_software:mbedthis_appweb_http_server

必要的 KB 項目: www/appweb

修補程式發佈日期: 2012/6/7

弱點發布日期: 2012/6/7